data {
    int n1;
    array[n1] real x1;
    int n2;
    array[n2] real x2;
    //
    //     Values for rescaling
    //
    real dmean1;
    real dsgm1;
    real dmean2;
    real dsgm2;
}
parameters {
    real vmu1;
    real vmu2;
    real<lower=0.0> vsgm1;
    real<lower=0.0> vsgm2;
}
transformed parameters {
    real mu1;
    real mu2;
    real sgm1;
    real sgm2;
    //
    //      Rescaling of parameters
    //
    mu1 = vmu1 * dsgm1 + dmean1;
    mu2 = vmu2 * dsgm2 + dmean2;
    sgm1 = vsgm1 * dsgm1 + 0.001;
    sgm2 = vsgm2 * dsgm2 + 0.001;
}
model {
    vmu1 ~ normal(0.0, 10.0);
    vmu2 ~ normal(0.0, 10.0);
    vsgm1 ~ exponential(0.1);
    vsgm2 ~ exponential(0.1);
    x1 ~ normal(mu1, sgm1);
    x2 ~ normal(mu2, sgm2);
}
generated quantities {
    real diff;
    real dsgm;
    diff = mu1 - mu2;
    dsgm = sgm1 - sgm2;
}
